/*
 * program: psfilt
 * file: iso8859.h
 *
 * Copyright  1992 1993 Robert Joop
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: iso8859.h,v 1.2 1995/03/08 14:09:46 rj Exp $
 * $Log: iso8859.h,v $
 * Revision 1.2  1995/03/08  14:09:46  rj
 * tables added for ISO 8859-2 .. -10.
 *
 * Revision 1.1.1.1  1993/12/31  20:56:44  rj
 * erster cvs import.
 *
 */

#ifndef ISO8859_H
#define ISO8859_H

#include "ucs2.h"
#include "iso646.h"

extern t_ucs2	ISOlatin1toUCS2 (uchar c),
		ISOlatin2toUCS2 (uchar c),
		ISOlatin3toUCS2 (uchar c),
		ISOlatin4toUCS2 (uchar c),
		ISOcyrillictoUCS2 (uchar c),
		ISOarabictoUCS2 (uchar c),
		ISOgreektoUCS2 (uchar c),
		ISOhebrewtoUCS2 (uchar c),
		ISOlatin5toUCS2 (uchar c),
		ISOsamitoUCS2 (uchar c);

#endif
