/*
 * program: psfilt
 * file: opt.h
 *
 * Copyright  1992 1993 Robert Joop
 *
 * option handling
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: opt.h,v 1.3 1995/03/08 15:25:52 rj Exp $
 * $Log: opt.h,v $
 * Revision 1.3  1995/03/08  15:25:52  rj
 * added: ability to clear and extend the list of meta options (other than thru mangling ~/.psfilt).
 *
 * Revision 1.2  1994/07/09  16:43:57  rj
 * a lot of const's removed and added
 *
 * Revision 1.1.1.1  1993/12/31  20:56:48  rj
 * erster cvs import.
 *
 */

typedef struct
{
  cstring	name;
  bool		locked;
  t_names	args;
} t_metaoption;

extern void	add_metaoptions (cstring fn);
extern void	clear_metaoptions();
extern t_names	*getmetaopt_lock (cstring option);
extern void	metaopt_unlock (cstring option);
