/*
 * program: psfilt
 * file: ucs2.h
 *
 * Copyright  1992 1993 Robert Joop
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: ucs2.h,v 1.2 1995/03/08 14:24:01 rj Exp $
 * $Log: ucs2.h,v $
 * Revision 1.2  1995/03/08  14:24:01  rj
 * list of unicode omissions cleaned up.
 *
 * Revision 1.1.1.1  1993/12/31  20:56:48  rj
 * erster cvs import.
 *
 */

#ifndef UCS2_H
#define UCS2_H

typedef ushort		t_ucs2;
#define	ucs2cmp		ushortcmp

typedef struct
{
  short		count;
  t_ucs2	codes[1];
} t_xucs2;

#define UCS2_double_low_line			0x2017

#define UCS2_VOID				0xffff

extern string		strucs2 (string buf, t_ucs2);

#endif
